Description

In foreman 1.9.x I have seen that the edit interface form gets corrupted when adding a virtual interface on a bond. At first the

dropdowns are empty. Then if you save current edits and re-edit the interface the drop-down boxes double up and form looks

corrupted

 Screenshots?preview=Screenshot+2015-10-06+07.16.09.png 

History

#1 - 10/21/2015 10:04 AM - Byron Miller

Sorry, image didn't link

take two

https://www.dropbox.com/home/Screenshots?preview=Screenshot+2015-10-06+07.16.09.png

#2 - 10/21/2015 10:10 AM - Dominic Cleal

Try adding the picture as an attachment, using the Browse button below the notes form, or by dragging the file onto the box in your browser.

#3 - 10/21/2015 10:49 AM - Dominic Cleal

- Status changed from New to Need more information

#4 - 10/21/2015 12:11 PM - Byron Miller

- File doubled_up_interface.png added

#5 - 10/22/2015 02:52 AM - Dominic Cleal

- Category changed from Compute resources to Network

- Status changed from Need more information to New

#6 - 10/23/2015 12:26 PM - Byron Miller

What happens is I have a host that is discovered by discover image, i click provision, i add a bond0 with 2 interfaces attached, i then go add a

bond0.vlan and when i click to add this interface on vlan0 the screen is blank - i can't do the dropdowns, but i go click virtual and add the vlan info and

save, then i go back and edit and then the screens are garbled and dropdowns duplicated.

#7 - 10/26/2015 04:10 AM - Dominic Cleal

Do you know if it works properly on the host edit page, as opposed to the Discovery provision page?

#8 - 11/06/2015 08:41 AM - Byron Miller

I just tried it on creating a new host and same issue, if i try and create a virtual interface none of the dropdowns are user selectable. I have to create

the interface and then go back and edit it and once i do that, it doubles the dropdown lists.

Is anyone else experiencing this issue or do i have a bad cache or db cleanup i may need to do?
https://www.dropbox.com/home/Screenshots?preview=Screenshot+2015-10-06+07.16.09.png


#9 - 11/06/2015 09:13 AM - Byron Miller

I noticed if i go backwards, create the virtual interface first i don't seem to see the corrupted form but if i create bond0 first i get the weirdness where i

can't chose the dropdown boxes.

#10 - 04/15/2016 06:00 AM - Dominic Cleal

This might be fixed with #14041, can you reproduce it on 1.10.3 or 1.11.0?

#11 - 04/15/2016 06:00 AM - Dominic Cleal

- Status changed from New to Feedback

#12 - 05/17/2017 11:24 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
